package com.malk.mc.controller;

import com.alibaba.fastjson.JSONObject;
import com.malk.core.McProject;
import com.malk.server.common.McR;
import com.malk.utils.PublicUtil;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 功能：
 * 作者：hanxue
 * 日期：2024/10/10 14:44
 */
@RestController
@RequestMapping("/Item/")
public class McItemLvController {


//    律所传参为空校验
@PostMapping("checkNull")
public McR add(@RequestBody JSONObject param){
//
    if(PublicUtil.isNull(param,"param")){
        return McR.errorNullPointer();
    }else{
        return McR.success();

    }

}

}
